//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "mainfrm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "SDL_colsel"
#pragma link "SDL_marksel"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::MarkSel1MarkDblClick(TObject *Sender, int X, int Y,
      int Mark)
{
if (Mark == 0)
  {
  BitBtn1->Glyph = 0;
  }
else
  {
  BitBtn1->Glyph = CreateMarkAsBitmap (Mark, MarkSel1->ColorMarks, clBtnFace, 2);
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SBarNrColsChange(TObject *Sender)
{
MarkSel1->NrOfColumns = SBarNrCols->Position;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SBarNoRowsChange(TObject *Sender)
{
MarkSel1->NrOfRows = SBarNoRows->Position;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RGVisibClick(TObject *Sender)
{
int i;

switch (RGVisib->ItemIndex)
  {
  case 0 : {
           MarkSel1->ShowAllMarks();
           break;
           }
  case 1 : {
           MarkSel1->ShowAllMarks();
           MarkSel1->MarkVisible[1] = false;
           MarkSel1->MarkVisible[4] = false;
           MarkSel1->MarkVisible[7] = false;
           MarkSel1->MarkVisible[13] = false;
           break;
           }
  case 2 : {
           MarkSel1->ShowAllMarks();
           for (i=(MAXCANVASMARKS/2); i<=MAXCANVASMARKS; i++)
             {
             MarkSel1->MarkVisible[i] = false;
             }
           }
  case 3 : {
           MarkSel1->ShowAllMarks();
           for (i=1; i<=(MAXCANVASMARKS/2); i++)
             {
             MarkSel1->MarkVisible[i] = false;
             }
           }
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CBoxFrameChange(TObject *Sender)
{
MarkSel1->FrameStyle = TFrameStyle (CBoxFrame->ItemIndex);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CSelSyFGChange(TObject *Sender)
{
MarkSel1->ColorMarks = CSelSyFG->SelColor;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CSelSyBGChange(TObject *Sender)
{
MarkSel1->ColorBackGnd = CSelSyBG->SelColor;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CSelSelFGChange(TObject *Sender)
{
MarkSel1->ColorSelFG = CSelSelFG->SelColor;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CSelSelBGChange(TObject *Sender)
{
MarkSel1->ColorSelBG = CSelSelBG->SelColor;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CSelHilFGChange(TObject *Sender)
{
MarkSel1->ColorHiLiteSymbol = CSelHilFG->SelColor;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CSelHilBGChange(TObject *Sender)
{
MarkSel1->ColorHiLiteBG = CSelHilBG->SelColor;
}
//---------------------------------------------------------------------------
